#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "オプション"
    BEGIN
        MENUITEM "データベースの選択 " idMainMenuSelectDB "s"
        MENUITEM "データベースの作成 " idMainMenuNewDB "n"
        MENUITEM "データベースの削除 " idMainMenuDelDB "d"
        MENUITEM "データベースをビーム " idMainMenuBeamDB "b"
        MENUITEM SEPARATOR 
        MENUITEM "設定... " idMainMenuCustom "m"
        MENUITEM "List について... " idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "新規" idMainNewButton 2 146 AUTO AUTO
    BUTTON "検索" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "表\示"
    BUTTON " OK " idViewDoneButton 2 146 AUTO AUTO
    BUTTON "編集" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "編集"
    BEGIN
        MENUITEM "取り消し" idEditMenuUndo "u"
        MENUITEM "カット" idEditMenuCut "x"
        MENUITEM "コピー" idEditMenuCopy "c"
        MENUITEM "ペースト" idEditMenuPaste "p"
        MENUITEM "すべてを選択" idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "キーボード" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "編集"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON " OK " idEditDoneButton 2 146 AUTO AUTO
    BUTTON "削除" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON " OK " idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "設定"

	LABEL "リスト名称 :" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 31
	LABEL "項目1名称 :" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(56 PREVTOP 90 AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "項目2名称 :" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(56 PREVTOP 90 AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "表\示順" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "項目1,項目2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "項目1,項目2" "項目2,項目1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "書き込み禁止" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "次回HotSync時バックアップ" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "自動バックアップ" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "起動時にデータベースを選択" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON " OK " idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "Listデータベースの名称、項目1、項目2の設定を変更します。\n\n"\
	"「表\示順」で項目の表\示順を選択します。\n\n"\
	"「書き込み禁止」でデータベースの編集を禁止します。\n\n"\
	"「次回Hot-Sync時にバックアップ」でバックアップビットの状態を表\示します。\n\n"\
	"最後の2つのチェックボックスは全てのデータベースに対して設定を変更します。\n\n"\
	"「自動バックアップ」をセットすると、最後のHotSync以降に"\
        "データベースの内容が変更された場合に自動的にバックアップビットをセットします。"\
	"HotSyncを実行するとバックアップビットをクリアします。\n\n"\
	"「起動時にデータベースを選択」にチェックすると、Listの起動時に"\
        "2つ以上のデータベースが存在する場合には"\
	"データベースの選択画面を表\示します。チェックしない場合には"\
	"最後に使用したデータベースを表\示します。"


FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "データベースの選択"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "データベースの選択"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END


FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "ローカル検索"
	LABEL "検索:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Cancel" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "ローカル検索"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Cancel" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "再検索" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "About List 0.99"
    MESSAGE "List is Freeware"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nゆたかの"\
	"  yutakano@tim.hi-ho.ne.jp"

    BUTTONS "Ok"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "データベース名の重複"
    MESSAGE " 'New List'というデータベースがすでに存在します。"\
    "新規にデータベースを作成する前に、既存の'New List'のデータベース"\
    "名を「オプション」メニューの「設定」で変更してください。"
    BUTTONS "OK"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "レコードの削除"
    MESSAGE "このレコードを削除します。よろしいですか?"
    BUTTONS "OK" "Cancel"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "データベースの削除"
    MESSAGE "このデータベースを削除します。よろしいですか?"
    BUTTONS "OK" "Cancel"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "データベースの上書"
    MESSAGE "すでに存在するデータベースに上書きしますか?"
    BUTTONS "Ok" "Cancel"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "データベースが多すぎます"
    MESSAGE "Listは最大12個のデータベースまで扱えます。"
    BUTTONS "OK"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "データベース名の重複"
    MESSAGE "すでに同名のデータベースが存在します。名称を変更してください。"
    BUTTONS "OK"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "データベース名がありません"
    MESSAGE "データベースに名称をつけてください。"
    BUTTONS "OK"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "書き込み禁止"
    MESSAGE "このデータベースは書き込み禁止です。"\
	"「オプション」メニューの「設定」で変更できます。"
    BUTTONS "OK"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "メモリ不足"
    MESSAGE "レコードが更新できません。変更内容は廃棄されます。"
    BUTTONS "OK"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "ビーム"
    MESSAGE "このマシンには赤外線通信の機能が無いためにビームできません。"
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "ビームで着ません"
    MESSAGE "書き込み禁止の設定がされているデータベースはビームできません。"
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Unknown Error"
	MESSAGE "An unexpected situation has occured"
	BUTTONS "Oh Well"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"